package com.yunzhi.nanyang.service.impl;

import com.yunzhi.nanyang.entity.SysLogin;
import com.yunzhi.nanyang.mapper.SysLoginMapper;
import com.yunzhi.nanyang.service.ISysLoginService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.nanyang.vo.LoginParam;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 登录表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-07
 */
@Service
public class SysLoginServiceImpl extends ServiceImpl<SysLoginMapper, SysLogin> implements ISysLoginService {

    @Override
    public SysLogin getByLogin(LoginParam loginParam) {
        return baseMapper.getByLogin(loginParam.getLoginType(), loginParam.getUserName());
    }
}
