package com.yunzhi.nanyang.mapper;

import com.yunzhi.nanyang.entity.SysMenu;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.nanyang.vo.AccessInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 菜单表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface SysMenuMapper extends BaseMapper<SysMenu> {

    List<AccessInfo> getAccessList(@Param("userId") String userId, @Param("adminId") String adminId);
}
